From fe060951d0122f2e05424836c18b4849fb0e67aa Mon Sep 17 00:00:00 2001
From: Melanie Plageman <melanieplageman@gmail.com>
Date: Fri, 29 Mar 2024 19:01:51 -0400
Subject: [PATCH v10 02/10] heap_prune_chain() rename dp->page

---
 src/backend/access/heap/pruneheap.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/src/backend/access/heap/pruneheap.c b/src/backend/access/heap/pruneheap.c
index b3047536f5..c89b0f613d 100644
--- a/src/backend/access/heap/pruneheap.c
+++ b/src/backend/access/heap/pruneheap.c
@@ -456,11 +456,11 @@ static void
 heap_prune_chain(Buffer buffer, OffsetNumber rootoffnum,
 				 int8 *htsv, PruneState *prstate)
 {
-	Page		dp = (Page) BufferGetPage(buffer);
+	Page		page = (Page) BufferGetPage(buffer);
 	TransactionId priorXmax = InvalidTransactionId;
 	ItemId		rootlp;
 	HeapTupleHeader htup;
-	OffsetNumber maxoff = PageGetMaxOffsetNumber(dp),
+	OffsetNumber maxoff = PageGetMaxOffsetNumber(page),
 				offnum;
 	OffsetNumber chainitems[MaxHeapTuplesPerPage];
 
@@ -471,7 +471,7 @@ heap_prune_chain(Buffer buffer, OffsetNumber rootoffnum,
 	int			ndeadchain = 0,
 				nchain = 0;
 
-	rootlp = PageGetItemId(dp, rootoffnum);
+	rootlp = PageGetItemId(page, rootoffnum);
 
 	/*
 	 * If it's a heap-only tuple, then it is not the start of a HOT chain.
@@ -479,7 +479,7 @@ heap_prune_chain(Buffer buffer, OffsetNumber rootoffnum,
 	if (ItemIdIsNormal(rootlp))
 	{
 		Assert(htsv[rootoffnum] != -1);
-		htup = (HeapTupleHeader) PageGetItem(dp, rootlp);
+		htup = (HeapTupleHeader) PageGetItem(page, rootlp);
 
 		if (HeapTupleHeaderIsHeapOnly(htup))
 		{
@@ -549,7 +549,7 @@ heap_prune_chain(Buffer buffer, OffsetNumber rootoffnum,
 		if (prstate->marked[offnum])
 			break;
 
-		lp = PageGetItemId(dp, offnum);
+		lp = PageGetItemId(page, offnum);
 
 		/* Unused item obviously isn't part of the chain */
 		if (!ItemIdIsUsed(lp))
@@ -588,7 +588,7 @@ heap_prune_chain(Buffer buffer, OffsetNumber rootoffnum,
 		}
 
 		Assert(ItemIdIsNormal(lp));
-		htup = (HeapTupleHeader) PageGetItem(dp, lp);
+		htup = (HeapTupleHeader) PageGetItem(page, lp);
 
 		/*
 		 * Check the tuple XMIN against prior XMAX, if any
-- 
2.40.1

